For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • POSTCreate Cash-Out
      • GETGet Cash-Out Status
      • POSTDecode QR Code
LogoLogo
StatusDashboard
API ReferencePix Cash Out

Decode QR Code

POST
https://api.brzip.com.br/api/v1/pix/qrcode/decode
POST
/api/v1/pix/qrcode/decode
$curl -X POST https://api.brzip.com.br/api/v1/pix/qrcode/decode \
> -H "Content-Type: application/json" \
> -d '{
> "br_code": "00020126580014br.gov.bcb.pix0136263187470001865204000053039865405..."
>}'
1{
2 "success": true,
3 "qr_code_type": "static",
4 "pix_key": "string",
5 "amount": "string",
6 "receiver_name": "string",
7 "receiver_ispb": "string",
8 "receiver_participant_name": "string",
9 "end_to_end_id": "string",
10 "due_date": "2023-01-15",
11 "penalty": {},
12 "interest": {},
13 "discount": {},
14 "rebate": {},
15 "final_amount": "string"
16}
Decodes a PIX QR Code (static or dynamic). **Required field:** `br_code` (EMV payload from QR Code) **Participant fields (resolved via BACEN ParticipantesSTR list):** - `receiver_participant_name` — Recipient institution name (always present) **Financial fields (returned when present in CobV QR):** - `due_date` — Due date (YYYY-MM-DD) - `penalty` — Late fee: `mode` (1=fixed, 2=%), `value` - `interest` — Interest: `mode` (1=BRL/day, 2=%/day, 3=%/month, 4=%/year), `value` - `discount` — Discount: `mode` (1-4), `value`, `fixed_dates[]` - `rebate` — Rebate: `mode` (1=fixed, 2=%), `value` - `final_amount` — Final amount calculated by BACEN (with charges applied) **Optimized flow (Two-Step — RECOMMENDED):** 1. Decode the QR Code with this API (data is saved in lookup history) 2. Confirm recipient details with the user 3. Send the Cash-Out using the `X-Pix-Lookup-E2E: {end_to_end_id}` header (WITHOUT sending `br_code` again) 4. The system uses pre-decoded data, avoiding a duplicate decode call **Scope:** `pix:cashout:write`
Was this page helpful?
Previous

Respond to MED Request

Next
Built with

Decodes a PIX QR Code (static or dynamic).

Required field: br_code (EMV payload from QR Code)

Participant fields (resolved via BACEN ParticipantesSTR list):

  • receiver_participant_name — Recipient institution name (always present) Financial fields (returned when present in CobV QR):
  • due_date — Due date (YYYY-MM-DD)
  • penalty — Late fee: mode (1=fixed, 2=%), value
  • interest — Interest: mode (1=BRL/day, 2=%/day, 3=%/month, 4=%/year), value
  • discount — Discount: mode (1-4), value, fixed_dates[]
  • rebate — Rebate: mode (1=fixed, 2=%), value
  • final_amount — Final amount calculated by BACEN (with charges applied) Optimized flow (Two-Step — RECOMMENDED):
  1. Decode the QR Code with this API (data is saved in lookup history)
  2. Confirm recipient details with the user
  3. Send the Cash-Out using the X-Pix-Lookup-E2E: {end_to_end_id} header (WITHOUT sending br_code again)
  4. The system uses pre-decoded data, avoiding a duplicate decode call

Scope: pix:cashout:write

Request

This endpoint expects an object.
br_codestringRequired
EMV payload from the QR Code

Response

Decoded QR Code data
successboolean
qr_code_typeenum
Allowed values:
pix_keystring
amountstring

Amount in BRL (decimal string)

receiver_namestring
receiver_ispbstring
receiver_participant_namestring
end_to_end_idstring

Use this in X-Pix-Lookup-E2E header for the two-step flow

due_datedate
penaltyobject
interestobject
discountobject
rebateobject
final_amountstring
Final amount calculated by BACEN

Errors

400
Bad Request Error